import request from '@/utils/request'

// 注册前校验
export function registerCheck(memberName, idcard, mobile) {
  const data = {
    memberName,
    idcard,
    mobile
  }
  console.log(data)
  return request({
    url: '/register/check',
    method: 'post',
    data: data
  })
}
//注册
export function registerOn(memberName, idcard, mobile, smsCode,uuid) {
  const data = {
    memberName,
    idcard,
    mobile,
    smsCode,
    uuid
  }
  return request({
    url: '/register/on',
    method: 'post',
    data: data
  })
}
//注册
export function userRegister(data) {
  return request({
    url: '/transaction/website/addMember',
    method: 'post',
    data: data
  })
}
//注册
export function base64Upload(data) {
  return request({
    url: '/transaction/website/common/base64Upload',
    method: 'post',
    data: data
  })
}
//注册
export function attachmentUpload(data) {
  return request({
    url: '/open/attachment/upload',
    method: 'post',
    data: data
  })
}
//检索
export function realtimeBackList(data) {
  return request({
    url: '/open/villageAffairs/public/realtimeBackList',
    method: 'post',
    data: data
  })
}
//检索
export function depositList(query) {
  return request({
    url: '/open/yinnong/deposit/list',
    method: 'get',
    params: query
  })
}

